Ignore:
Timestamp:
Dec 3, 2007 4:03:17 AM (16 years ago)
Author:
bennylp
Message:

Fixed IP interface enumeration Linux to work with IPv6 (see ticket #415)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • pjproject/trunk/aconfigure

    r1585 r1612  
    58405840  cat >>confdefs.h <<\_ACEOF 
    58415841#define PJ_HAS_NET_IF_H 1 
     5842_ACEOF 
     5843 
     5844fi 
     5845 
     5846 
     5847if test "${ac_cv_header_ifaddrs_h+set}" = set; then 
     5848  echo "$as_me:$LINENO: checking for ifaddrs.h" >&5 
     5849echo $ECHO_N "checking for ifaddrs.h... $ECHO_C" >&6 
     5850if test "${ac_cv_header_ifaddrs_h+set}" = set; then 
     5851  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5852fi 
     5853echo "$as_me:$LINENO: result: $ac_cv_header_ifaddrs_h" >&5 
     5854echo "${ECHO_T}$ac_cv_header_ifaddrs_h" >&6 
     5855else 
     5856  # Is the header compilable? 
     5857echo "$as_me:$LINENO: checking ifaddrs.h usability" >&5 
     5858echo $ECHO_N "checking ifaddrs.h usability... $ECHO_C" >&6 
     5859cat >conftest.$ac_ext <<_ACEOF 
     5860/* confdefs.h.  */ 
     5861_ACEOF 
     5862cat confdefs.h >>conftest.$ac_ext 
     5863cat >>conftest.$ac_ext <<_ACEOF 
     5864/* end confdefs.h.  */ 
     5865$ac_includes_default 
     5866#include <ifaddrs.h> 
     5867_ACEOF 
     5868rm -f conftest.$ac_objext 
     5869if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5870  (eval $ac_compile) 2>conftest.er1 
     5871  ac_status=$? 
     5872  grep -v '^ *+' conftest.er1 >conftest.err 
     5873  rm -f conftest.er1 
     5874  cat conftest.err >&5 
     5875  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5876  (exit $ac_status); } && 
     5877         { ac_try='test -z "$ac_c_werror_flag" 
     5878                         || test ! -s conftest.err' 
     5879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5880  (eval $ac_try) 2>&5 
     5881  ac_status=$? 
     5882  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5883  (exit $ac_status); }; } && 
     5884         { ac_try='test -s conftest.$ac_objext' 
     5885  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5886  (eval $ac_try) 2>&5 
     5887  ac_status=$? 
     5888  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5889  (exit $ac_status); }; }; then 
     5890  ac_header_compiler=yes 
     5891else 
     5892  echo "$as_me: failed program was:" >&5 
     5893sed 's/^/| /' conftest.$ac_ext >&5 
     5894 
     5895ac_header_compiler=no 
     5896fi 
     5897rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     5898echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     5899echo "${ECHO_T}$ac_header_compiler" >&6 
     5900 
     5901# Is the header present? 
     5902echo "$as_me:$LINENO: checking ifaddrs.h presence" >&5 
     5903echo $ECHO_N "checking ifaddrs.h presence... $ECHO_C" >&6 
     5904cat >conftest.$ac_ext <<_ACEOF 
     5905/* confdefs.h.  */ 
     5906_ACEOF 
     5907cat confdefs.h >>conftest.$ac_ext 
     5908cat >>conftest.$ac_ext <<_ACEOF 
     5909/* end confdefs.h.  */ 
     5910#include <ifaddrs.h> 
     5911_ACEOF 
     5912if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     5913  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     5914  ac_status=$? 
     5915  grep -v '^ *+' conftest.er1 >conftest.err 
     5916  rm -f conftest.er1 
     5917  cat conftest.err >&5 
     5918  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5919  (exit $ac_status); } >/dev/null; then 
     5920  if test -s conftest.err; then 
     5921    ac_cpp_err=$ac_c_preproc_warn_flag 
     5922    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     5923  else 
     5924    ac_cpp_err= 
     5925  fi 
     5926else 
     5927  ac_cpp_err=yes 
     5928fi 
     5929if test -z "$ac_cpp_err"; then 
     5930  ac_header_preproc=yes 
     5931else 
     5932  echo "$as_me: failed program was:" >&5 
     5933sed 's/^/| /' conftest.$ac_ext >&5 
     5934 
     5935  ac_header_preproc=no 
     5936fi 
     5937rm -f conftest.err conftest.$ac_ext 
     5938echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     5939echo "${ECHO_T}$ac_header_preproc" >&6 
     5940 
     5941# So?  What about this header? 
     5942case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     5943  yes:no: ) 
     5944    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: accepted by the compiler, rejected by the preprocessor!" >&5 
     5945echo "$as_me: WARNING: ifaddrs.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     5946    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: proceeding with the compiler's result" >&5 
     5947echo "$as_me: WARNING: ifaddrs.h: proceeding with the compiler's result" >&2;} 
     5948    ac_header_preproc=yes 
     5949    ;; 
     5950  no:yes:* ) 
     5951    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: present but cannot be compiled" >&5 
     5952echo "$as_me: WARNING: ifaddrs.h: present but cannot be compiled" >&2;} 
     5953    { echo "$as_me:$LINENO: WARNING: ifaddrs.h:     check for missing prerequisite headers?" >&5 
     5954echo "$as_me: WARNING: ifaddrs.h:     check for missing prerequisite headers?" >&2;} 
     5955    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: see the Autoconf documentation" >&5 
     5956echo "$as_me: WARNING: ifaddrs.h: see the Autoconf documentation" >&2;} 
     5957    { echo "$as_me:$LINENO: WARNING: ifaddrs.h:     section \"Present But Cannot Be Compiled\"" >&5 
     5958echo "$as_me: WARNING: ifaddrs.h:     section \"Present But Cannot Be Compiled\"" >&2;} 
     5959    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: proceeding with the preprocessor's result" >&5 
     5960echo "$as_me: WARNING: ifaddrs.h: proceeding with the preprocessor's result" >&2;} 
     5961    { echo "$as_me:$LINENO: WARNING: ifaddrs.h: in the future, the compiler will take precedence" >&5 
     5962echo "$as_me: WARNING: ifaddrs.h: in the future, the compiler will take precedence" >&2;} 
     5963    ( 
     5964      cat <<\_ASBOX 
     5965## ------------------------------------ ## 
     5966## Report this to the pjproject lists.  ## 
     5967## ------------------------------------ ## 
     5968_ASBOX 
     5969    ) | 
     5970      sed "s/^/$as_me: WARNING:     /" >&2 
     5971    ;; 
     5972esac 
     5973echo "$as_me:$LINENO: checking for ifaddrs.h" >&5 
     5974echo $ECHO_N "checking for ifaddrs.h... $ECHO_C" >&6 
     5975if test "${ac_cv_header_ifaddrs_h+set}" = set; then 
     5976  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5977else 
     5978  ac_cv_header_ifaddrs_h=$ac_header_preproc 
     5979fi 
     5980echo "$as_me:$LINENO: result: $ac_cv_header_ifaddrs_h" >&5 
     5981echo "${ECHO_T}$ac_cv_header_ifaddrs_h" >&6 
     5982 
     5983fi 
     5984if test $ac_cv_header_ifaddrs_h = yes; then 
     5985  cat >>confdefs.h <<\_ACEOF 
     5986#define PJ_HAS_IFADDRS_H 1 
    58425987_ACEOF 
    58435988 
Note: See TracChangeset for help on using the changeset viewer.